package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkItemFuturepriceQueryRequest struct {
	/*
	   渠道店id     */
	ShopId *int64 `json:"shop_id" required:"true" `
	/*
	   商品编码     */
	SkuCode *string `json:"sku_code" required:"true" `
	/*
	   渠道     */
	OrderChannelCode *string `json:"order_channel_code" required:"true" `
	/*
	   开始时间     */
	StartTime *util.LocalTime `json:"start_time" required:"true" `
	/*
	   结束时间，结束时间-开始时间不能超过48小时     */
	EndTime *util.LocalTime `json:"end_time" required:"true" `
}

func (s *AlibabaWdkItemFuturepriceQueryRequest) SetShopId(v int64) *AlibabaWdkItemFuturepriceQueryRequest {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkItemFuturepriceQueryRequest) SetSkuCode(v string) *AlibabaWdkItemFuturepriceQueryRequest {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkItemFuturepriceQueryRequest) SetOrderChannelCode(v string) *AlibabaWdkItemFuturepriceQueryRequest {
	s.OrderChannelCode = &v
	return s
}
func (s *AlibabaWdkItemFuturepriceQueryRequest) SetStartTime(v util.LocalTime) *AlibabaWdkItemFuturepriceQueryRequest {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkItemFuturepriceQueryRequest) SetEndTime(v util.LocalTime) *AlibabaWdkItemFuturepriceQueryRequest {
	s.EndTime = &v
	return s
}

func (req *AlibabaWdkItemFuturepriceQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ShopId != nil {
		paramMap["shop_id"] = *req.ShopId
	}
	if req.SkuCode != nil {
		paramMap["sku_code"] = *req.SkuCode
	}
	if req.OrderChannelCode != nil {
		paramMap["order_channel_code"] = *req.OrderChannelCode
	}
	if req.StartTime != nil {
		paramMap["start_time"] = *req.StartTime
	}
	if req.EndTime != nil {
		paramMap["end_time"] = *req.EndTime
	}
	return paramMap
}

func (req *AlibabaWdkItemFuturepriceQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
